Instagram Platform

Collaborators

Updated: Aug 18, 2025
Copy for LLM
Represents a list of users who are added as collaborators on an IG Media object.
Available for the Instagram API with Facebook Login.

Creating

This operation is not supported.

Reading

Get a list of Instagram users as collaborators and their invitation status on an IG Media object.
GET /<IG_MEDIA_ID>

Limitations

  • Up to 5 Instagram accounts can be added as collaborators
  • Only IG users who have enabled collaborator tagging will be returned in the response
  • Collaborators tagging supports Feed image, Reels and Carousel, Stories is not supported

Requirements

Type Description
User – User must have created the IG Media object
instagram_basic
pages_read_engagement
If the app user was granted a role on the Page via the Business Manager, you also need one of the following:
ads_management
ads_read

Request syntax

GET https://graph.facebook.com/<API_VERSION>/<IG_MEDIA_ID>/collaborators&<USER_ACCESS_TOKEN>

Sample Response

{
  "data": [
    {
      "id": "90010775360791",
      "username": "realtest1",
      "invite_status": "Accpeted"
    },
    {
      "id": "17841449208283139",
      "username": "realtest2",
      "invite_status": "Pending"
    }
  ]
}

Path Parameters

Placeholder Value
<API_VERSION>
API version.
<IG_MEDIA_ID>
Required. The ID for your app user’s Instagram media.

Query String Parameters

Key Placeholder Value
access_token
<USER_ACCESS_TOKEN>
Required. Your app user’s User access token.

Response fields

Field Name Description
id
The App-scoped ID for the Instagram account of the potential collaborator
invite_status
The status for the invitation sent to a potential collaborator. Can be one of the following:
  • Accepted
  • Pending
username
Instagram profile username for the potential collaborator

Updating

This operation is not supported.

Deleting

This operation is not supported.